import React, { ComponentProps } from 'react';
import { SIZE, DISPLAY } from '../../utils/componentPropsTypes';
interface IButton {
    variant?: 'contained' | 'outlined' | 'text';
    label?: string;
    startImage?: React.ReactNode;
    endImage?: React.ReactNode;
    disabled?: boolean;
    size?: SIZE;
    display?: DISPLAY;
    onClick?: React.MouseEventHandler<HTMLDivElement>;
}
declare const Button: React.FC<IButton & Omit<ComponentProps<'input'>, keyof IButton>>;
export default Button;
